<script setup>
import EZUIKit from 'ezuikit-js';

const props = defineProps({
    data: {
        type: Object,
        default: {},
    }
})

const emit = defineEmits(['close'])

let ezKitEl = ''
let ezKitId = 'ezid'

const closeScreen = () => {
    ezKitEl.stop(); //停止播放视频
    emit('close')
}

onMounted(() => {
    ezKitEl = new EZUIKit.EZUIKitPlayer({
        id: ezKitId,
        url: props.data.url,
        accessToken: props.data.accessToken,
    })
})

</script>

<template>
    <div class="modal">
        <div class="vb" :id="ezKitId"></div>
        <div class="close" @click="closeScreen"><el-icon><CircleClose /></el-icon></div>
        <div class="mask">
            <div class="list">
                <div class="item">
                    <div class="name">水位:</div>
                    <div class="val"><span>{{props.data.waterLevel}}</span>m</div>
                </div>
                <div class="item">
                    <div class="name">流速:</div>
                    <div class="val"><span>{{props.data.flowVelocity}}</span>m/s</div>
                </div>
                <div class="item">
                    <div class="name">瞬时流量:</div>
                    <div class="val"><span>{{props.data.newFlow}}</span>m³/h</div>
                </div>
                <div class="item">
                    <div class="name">累计流量:</div>
                    <div class="val"><span>{{props.data.totalFlow}}</span>m³</div>
                </div>
            </div>
        </div>
    </div>
</template>

<style scoped lang="scss">
.modal{
    position: absolute;
    left: 2%;
    top: 2%;
    width: 96%;
    height: 96%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 100;
    .vb{
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
    }
    .close{
        position: absolute;
        right: 1%;
        top: 1%;
        font-size: 2rem;
        color: #fff;
    }
    .mask{
        position: absolute;
        left: 5%;
        bottom: 5%;
        width: 15%;
        background-color: rgba(0, 0, 0, 0.5);
        color: #fff;
        padding: 1rem;
        border-radius: 1rem;
        .item{
            display: flex;
            align-items: center;
            padding: 0.5rem 0;
            .name{
                width: 50%;
            }
            span{
                margin-right: 0.8rem;
            }
        }
    }
}
</style>